Bug 1146438 - Name of puppet classes truncated
Summary: Name of puppet classes truncated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1139277
TreeView+ depends on / blocked
 
Reported: 2014-09-25 09:17 UTC by David Juran
Modified: 2019-09-25 20:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:45:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (189.69 KB, image/jpeg)
2014-09-25 09:17 UTC, David Juran
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 5733 None None None 2016-04-22 16:28:39 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description David Juran 2014-09-25 09:17:33 UTC
Created attachment 941022 [details]
screenshot

Description of problem:
I've noticed that the names of puppet classes get concatenated when they are selected into e.g. a host-group, see attached screenshot.
The tooltip still displays the full name but it still make it harder then it should be to find the correct one

Version-Release number of selected component (if applicable):
6.0.4

Comment 1 RHEL Program Management 2014-09-25 09:43:29 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Dominic Cleal 2014-09-25 12:53:49 UTC
Truncated, I presume, rather than concatenated.

Comment 4 Dominic Cleal 2014-09-25 12:53:56 UTC
Connecting redmine issue http://projects.theforeman.org/issues/5733 from this bug

Comment 5 Bryan Kearney 2015-08-25 08:05:26 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5733 has been closed

Comment 6 Tazim Kolhar 2015-11-10 10:03:21 UTC
VERIFIED:
# rpm -qa | grep foreman
foreman-gce-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch
foreman-release-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-ovirt-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
foreman-libvirt-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-postgresql-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
tfm-rubygem-foreman_discovery-4.1.2-1.fm1_11.el7.noarch
foreman-compute-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
foreman-debug-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-proxy-1.11.0-0.develop.201511020918git26aba85.el7.noarch
foreman-vmware-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201510201150gitab068d9.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch
foreman-release-scl-1-1.el7.x86_64
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch

steps:
names of puppet classes are properly displayed

Comment 10 errata-xmlrpc 2016-07-27 08:45:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.